## MetaWindowActor MetaWindowActor — An actor representing a top-level window in the scene graph |

## Functions

Window | meta_window_actor_get_x_window ()
MetaWindow * | meta_window_actor_get_meta_window ()
ClutterActor * | meta_window_actor_get_texture ()
gboolean | meta_window_actor_is_destroyed ()

## Properties

MetaWindow * | meta-window | Read / Write / Construct Only
gboolean | no-shadow | Read / Write
gchar * | shadow-class | Read / Write

## Types and Values

struct | MetaWindowActor
struct | MetaWindowActorClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── MetaWindowActor

## Implemented Interfaces

MetaWindowActor implements ClutterContainer, ClutterScriptable, ClutterAnimatable, AtkImplementorIface and MetaCullable.

## Description

## Functions

### meta_window_actor_get_x_window ()

    Window
    meta_window_actor_get_x_window (MetaWindowActor *self);

### meta_window_actor_get_meta_window ()

    MetaWindow *
    meta_window_actor_get_meta_window (MetaWindowActor *self);

Gets the MetaWindow object that the the MetaWindowActor is displaying

#### Parameters

self | a MetaWindowActor |

#### Returns

the displayed MetaWindow.

[transfer none]

### meta_window_actor_get_texture ()

    ClutterActor *
    meta_window_actor_get_texture (MetaWindowActor *self);

Gets the ClutterActor that is used to display the contents of the window

#### Parameters

self | a MetaWindowActor |

#### Returns

the ClutterActor for the contents.

[transfer none]

### meta_window_actor_is_destroyed ()

    gboolean
    meta_window_actor_is_destroyed (MetaWindowActor *self);

Gets whether the X window that the actor was displaying has been destroyed

#### Parameters

self | a MetaWindowActor |

#### Returns

`TRUE` when the window is destroyed, otherwise `FALSE`

## Types and Values

### struct MetaWindowActor

    struct MetaWindowActor;

### struct MetaWindowActorClass

    struct MetaWindowActorClass {
    };

## Property Details

### The `“meta-window”` property

      “meta-window”              MetaWindow *

The displayed MetaWindow.

Flags: Read / Write / Construct Only

### The `“no-shadow”` property

      “no-shadow”                gboolean

Do not add shaddow to this window.

Flags: Read / Write

Default value: FALSE

### The `“shadow-class”` property

      “shadow-class”             gchar *

NULL means to use the default shadow class for this window type.

Flags: Read / Write

Default value: NULL